@echo off
setlocal
rem IEEE Registration Authority: Assignments
rem https://standards.ieee.org/products-services/regauth/index.html
rem http://standards-oui.ieee.org/oui/oui.txt
rem .
rem linuxnet.ca Linux Professionals
rem Sanitized oui.txt
rem https://linuxnet.ca/ieee/oui/
if exist oui.txt goto SKIP_DOWNLOAD
bitsadmin.exe /TRANSFER download  https://linuxnet.ca/ieee/oui.txt %cd%\oui.txt
rem bitsadmin.exe /TRANSFER download  http://standards-oui.ieee.org/oui/oui.txt %cd%\oui.txt
if %ErrorLevel% 1 goto :ERR
:SKIP_DOWNLOAD
findstr "(hex)" oui.txt > oui_tmp.txt
echo Generating oui_list.txt
type nul > oui_list.txt
FOR /F "usebackq" %%d IN (`DATE /T`) DO SET DATE=%%d
echo # %DATE%>> oui_list.txt
echo # https://linuxnet.ca/ieee/oui.txt>> oui_list.txt
for /f "delims=" %%a IN (oui_tmp.txt) do ( call :sub "%%a" >> oui_list.txt )
del oui_tmp.txt
sort oui_list.txt > oui_tmp.txt
copy oui_tmp.txt oui_list.txt
del oui_tmp.txt
echo.
dir oui*.txt
:ERR
pause
endlocal
exit /b

:sub
set str1="%~1"
set str2=%str1:&=and%
set str1=%str2:~1,-1%
echo %str1:~0,8% %str1:~18%
exit /b
